# List every ranking (v1)

Returns every ranking with id, name, sport, gender and last update, such as FIFA, ATP, WTA, UEFA and UFC weight classes. Nothing found returns `data: null`.

- Platform: Sofascore
- Request: `GET https://api.toolzerhub.com/v1/sofascore/rankings/types`
- Auth: `x-api-key` header
- Cost: 1 credit per successful request. Failed requests are not billed.
- Page: https://docs.toolzerhub.com/reference/sofascore/rankings/get-sports-ranking-types

## Example request

```bash
curl "https://api.toolzerhub.com/v1/sofascore/rankings/types" \
  -H "x-api-key: $TOOLZERHUB_API_KEY"
```

Success responses are wrapped as `{ "data": ... }`. Errors return `{ "error": { "code", "status", "message", "retryable", "details" } }`. See https://docs.toolzerhub.com/docs/responses-and-errors.
